Subject: autodock

From: Carsten Detering <[email-masked]>
Date: Tue, 18 Mar 2003 18:08:12 -0800

Hi all,

I am trying to (Auto)dock a sample database of 50 compounds, and the 
ligands include the atom types CANHOSFIcn (c being Cl and n being an N 
that carries a proton). My problem is, although I changed MAX_MAPS in 
the autocomm.h file to 16, I still get an error message with an 
unsuccessful completion of autogrid (I also tried to use the 
autocomm.h-extra-maps):

 >/usr/local/AutoDock/bin/linux.RedHat8/autogrid3: ERROR:  Too many 
"map" >keywords (10);  this program can only calculate 10 maps.
 >Remove a "map" keyword from the GPF, or change the definition of 
 >"MAX_MAPS" in "autocomm.h".
 >
 >
 >
 >/usr/local/AutoDock/bin/linux.RedHat8/autogrid3:  Unsuccessful 
 >completion.

My question now is: is AutoDock in general capable of only dealing with 
a maximum of 9 atom types for the ligand (the tenth being the 
electrostatic map) or is there something I have overseen??

This is the part of my autocomm.h file:

__________________________________________________________________________

#define MAX_MAPS     16      /* Maximum number of energy maps 
        */
#define ATOM_MAPS    14      /* Number of atomic affinity grids 
        */
                             /* 0,1,2,... are for atomic interactions 
        */
                             /* last is for electrostatics 
        */
#define VECLENMAX    16     /* For AVS fld files... 
       */

#define ATOMTYPE	"CNOSHXMPIF"
/*                       0123456789 */

#define COVALENTTYPE 'Z'
#define COVALENTTYPE2 'Y'

#define CARBON		0
#define NITROGEN	1
#define OXYGEN		2
#define SULPHUR		3
#define HYDROGEN	4
#define UNKNOWN		5
#define METAL		6
#define PHOSPHOROUS     7
#define IODINE          8
#define  FLOURINE	9

#define NATOMTYPES	15    /* Number of atom types for atomic interactions  */

#define MAX_TYPES       MAX_MAPS /* Maximum number of atom types used. */
_______________________________________________________________________

Thanks again for any helpful comments!

Carsten

-- 

Carsten Detering, Ph.D.
University of Washington
Seattle, WA 98195
Fon 206.543.5081
Fax 206.685.8665